//
//  ViewController.m
//  CustomShareStyle
//
//  Created by ljw on 16/6/2.
//  Copyright © 2016年 ljw. All rights reserved.
//

#import "ViewController.h"
#import "CustomShareView.h"
#define UIBounds [[UIScreen mainScreen] bounds] //window外框大小

@interface ViewController ()
{
    CustomShareView *_customShareView;
}
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    
    UIButton  *popupButton = [UIButton buttonWithType:UIButtonTypeCustom];
    popupButton.frame = CGRectMake((UIBounds.size.width-60)/2, 60, 60, 44);
    popupButton.backgroundColor = [UIColor redColor];
    popupButton.titleLabel.font = [UIFont systemFontOfSize:20];
    [popupButton setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
    [popupButton setTitle:@"分享" forState:UIControlStateNormal];
    [self.view addSubview:popupButton];
    [popupButton addTarget:self action:@selector(popupButtonClick) forControlEvents:UIControlEventTouchUpInside];
    
    _customShareView = [[CustomShareView alloc]init];
    [self.view addSubview:_customShareView];
    
}

- (void)popupButtonClick
{
    [_customShareView showInView:self.view];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
